Get all service AI agent metrics

get

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceAIAgentMetrics

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

An array of items response
Body ()
Root Schema : serviceAIAgentMetrics_view-default
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : serviceAIAgentMetrics_view-default-allOf[1]
Type: object
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceAIAgentMetric_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceAIAgentMetric_item
Match All
The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceAIAgentMetric_item-fields
Type: object
Show Source
Nested Schema : Service AI Agent Metric
Type: object
Title: Service AI Agent Metric
The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : confidenceScoreCode
Match All
The code for the confidence score of the service AI agent metric.
Show Source
  • Title: Confidence Score Code
    The code for the confidence score of the service AI agent metric.
  • Allowed Values: [ "ORA_SVC_COSINE", "ORA_SVC_JACCARD" ]
Nested Schema : objectType
Match All
The code for the object type of the service AI agent metric.
Show Source
Nested Schema : outcomeType
Match All
The code for the outcome type of the service AI agent metric.
Show Source
Nested Schema : serviceWorkflow
Match All
Show Source
Nested Schema : userDecision
Match All
The code for the user decision of the service AI agent metric.
Show Source
Nested Schema : userFeedback
Match All
The code for the user feedback of the service AI agent metric.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Object Type Code
Type: object
Title: Object Type Code
The code for the object type of the service AI agent metric.
Nested Schema : owningType
Match All
The standard lookup types list of values resource is used to query the list of standard lookup types.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupType_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Standard Lookup Type
Type: object
Title: Standard Lookup Type
The standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : configurationLevel
Match All
Show Source
Nested Schema : restAccessSecured
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ANON", "AUTH", "SECURE" ]
Nested Schema : taxonomyNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : hierarchySource
Match All
The taxonomy hierarchy represents relationships between taxonomy nodes.
Show Source
Nested Schema : moduleType
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "APPLICATION", "LBA", "PAGE", "PRODUCT_LINE", "DELIVERY_ROOT", "FAMILY" ]
Nested Schema : oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
Type: object
Show Source
Nested Schema : Taxonomy Hierarchy
Type: object
Title: Taxonomy Hierarchy
The taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : sourceNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : targetNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : $context
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : Outcome Type Code
Type: object
Title: Outcome Type Code
The code for the outcome type of the service AI agent metric.
Nested Schema : oraCxServiceCoreWorkflow.Workflow_item-fields
Type: object
Show Source
Nested Schema : Service Workflow
Type: object
Title: Service Workflow
Nested Schema : objectEntityNameCode
Match All
The name of the parent entity object associated with the workflow.
Show Source
  • Title: Object Entity Name
    Read Only: true
    The name of the parent entity object associated with the workflow.
  • Allowed Values: [ "ServiceRequest", "HRHelpDeskRequest", "InternalServiceRequest", "Case", "CustomerWorkOrder", "srMilestone", "messages", "CaseMessage" ]
Nested Schema : parentEntityNameCode
Match All
The parent entity name associated with the workflow.
Show Source
  • Title: Parent Entity Name
    Read Only: true
    The parent entity name associated with the workflow.
  • Allowed Values: [ "ServiceRequest", "HRHelpDeskRequest", "InternalServiceRequest", "Case" ]
Nested Schema : statusCode
Match All
Code that indicates the status of workflow.
Show Source
  • Title: Status
    Code that indicates the status of workflow.
  • Allowed Values: [ "ORA_SVC_COMPLETED", "ORA_SVC_CREATE", "ORA_SVC_CREATED", "ORA_SVC_CREATE_AND_INITIATE", "ORA_SVC_ERROR", "ORA_SVC_INITIATE", "ORA_SVC_INITIATING", "ORA_SVC_IN_PROGRESS", "ORA_SVC_PARTIALLY_COMPLETED" ]
Nested Schema : workflowTemplate
Match All
The workflow template associated to the workflow.
Show Source
Nested Schema : oraCxServiceCoreWorkflow.WorkflowTemplate_item-fields
Type: object
Show Source
Nested Schema : Workflow Template
Type: object
Title: Workflow Template
The workflow template associated to the workflow.
Nested Schema : condition
Match All
The condition for the workflow template.
Show Source
Nested Schema : objectEntityNameCode
Match All
The entity name of the object for which workflow template is created.
Show Source
  • Title: Object Entity Name
    Read Only: true
    The entity name of the object for which workflow template is created.
  • Allowed Values: [ "ServiceRequest", "HRHelpDeskRequest", "InternalServiceRequest", "Case", "CustomerWorkOrder", "srMilestone", "messages", "CaseMessage" ]
Nested Schema : parentEntityNameCode
Match All
The parent entity name associated with the workflow template.
Show Source
  • Title: Parent Entity Name
    Read Only: true
    The parent entity name associated with the workflow template.
  • Allowed Values: [ "ServiceRequest", "HRHelpDeskRequest", "InternalServiceRequest", "Case" ]
Nested Schema : stripeCode
Match All
The application context of the workflow template.
Show Source
  • Title: Stripe Code
    The application context of the workflow template.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : workflowTemplateCategoryCode
Match All
The workflow template category with which the template is associated.
Show Source
  • Title: Workflow Template Category
    The workflow template category with which the template is associated.
Nested Schema : oraCxServiceCoreWorkflow.Condition_item-fields
Type: object
Show Source
Nested Schema : Condition
Type: object
Title: Condition
The condition for the workflow template.
Nested Schema : objectTypeCode
Match All
The type of object that the condition can be applied to.
Show Source
  • Title: Object Type
    Read Only: true
    The type of object that the condition can be applied to.
  • Allowed Values: [ "ServiceRequest", "HRHelpDeskRequest", "InternalServiceRequest", "Case", "CustomerWorkOrder", "srMilestone", "messages", "CaseMessage" ]
Nested Schema : usageTypeCode
Match All
The code that indicates the usage type of the condition.
Show Source
  • Title: Usage Type
    The code that indicates the usage type of the condition.
  • Allowed Values: [ "ORA_SVC_ACTION", "ORA_SVC_TEMPLATE" ]
Nested Schema : User Decision Code
Type: object
Title: User Decision Code
The code for the user decision of the service AI agent metric.
Nested Schema : User Feedback Code
Type: object
Title: User Feedback Code
The code for the user feedback of the service AI agent metric.
Back to Top

Examples

The following example shows how to get all service AI agent metrics by submitting a GET request on the REST resource using cURL.

cURL Command

curl --location 'https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics?%24limit=2' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Example of Response Body

The following shows the contents of the response body in JSON format.

{
    "items": [
        {
            "id": "300100647912584",
            "number": "CDRM_0000002759",
            "agentTeamCode": "ORA_SERVICE_REQUEST_STALL_MANAGEMENT_ADVISOR_RA",
            "agentTeamVersion": "1",
            "jobExecutionNumber": "0000000000000000713eb3153bea73a1",
            "conversationNumber": null,
            "$id": "CDRM_0000002759",
            "$context": {
                "etag": "1",
                "links": {
                    "$self": {
                        "href": "https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/CDRM_0000002759"
                    }
                }
            }
        },
        {
            "id": "300100647912640",
            "number": "CDRM_0000002760",
            "agentTeamCode": "ORA_SERVICE_REQUEST_RESOLUTION_PERFORMANCE_ADVISOR_RA",
            "agentTeamVersion": "1",
            "jobExecutionNumber": "0000000000000000713eb3153bea73a1",
            "conversationNumber": null,
            "$id": "CDRM_0000002760",
            "$context": {
                "etag": "1",
                "links": {
                    "$self": {
                        "href": "https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/CDRM_0000002760"
                    }
                }
            }
        }
    ],
    "hasMore": true
}
Back to Top